subroutine escribe(st,dip,rake,lat1,lat2,lon1,lon2,depth,resolution,filen,filename,gridfile,lam,mu,yn1,s1,s2,s3,st1,d1,st2,d2,st3,d3,fric,sk)

character*60 filename,gridfile,slipfile,filen
character yn1,yn2
integer sw1,grid,grx,gry,grz,sw2,free1,free2,free3
real lam,mu,s1,s2,s3,st1,st2,st3,d1,d2,d3
real lat1,lat2,lon1,lon2,depth
real st,dip,rake,fric,sk
real str,di,rak,resolution
!filename='inCan.dat'
!gridfile='Hyp_dar.dat'
slipfile=filen
sw1=3
!lam=30000
!mu=30000
!yn1='n'
!s1=-10.
!s2=-0.5
!s3=-0.1
!st1=115.
!d1=0.
!st2=0.
!d2=90.
!st3=25.
!di3=0.
grid=1
!lat1=-43.7
!lat2=-43.5
!lon1=172.5
!lon2=173.
!depth=-7.23
grx=nint((lon2-lon1)/resolution)+1
gry=nint((lat2-lat1)/resolution)+1
grz=1
!st=59
!dip=67
!rake=135.787

sw2=1
!fric=0.4
!sk=0
free1=0
free2=0
free3=0
str=153.
di=70.
rak=180.
yn2='y'
open(3,file=filename,status='unknown')
write(3,*) '! Displacement [1], strain [2] or stress [3]?'
write(3,'(i1)') sw1
write(3,*) '! Elastic parameters: Lamda and mu (MPa)?'
write(3,'(E8.1,1x,E8.1)') lam,mu
write(3,*) '!'
write(3,*) '!'
write(3,*) '! REGIONAL STRESS INFORMATION'
write(3,*) '!'
write(3,*) '! Adding the regional stress field [y/n]?'
write(3,'(a1)') yn1
write(3,*) '! Principal components of the regional stress: s1<s2<s3 (MPa)?'
write(3,'(3(F8.1,1x))') s1,s2,s3
write(3,*) '!Strike and dip of SIGMA1'
write(3,'(2(F8.1,1x))')st1,d1
write(3,*) '!Strike and dip of SIGMA2'
write(3,'(2(F8.1,1x))')st2,d2
write(3,*) '!Strike and dip of SIGMA3'
write(3,'(2(F8.1,1x))')st3,d3
write(3,*) '!'
write(3,*) '!'
write(3,*) '! MAP DISCRETIZATION'
write(3,*) '!'
write(3,*) '! Regular grid [1], or irregular grid [2]?'
write(3,'(i1)') grid
write(3,*) '! REGULAR GRID'
write(3,*) '! Define the map limits for the calculation'
write(3,'(4(F8.1,1x))')lat1,lon1,lat2,lon2
write(3,*) '! Define the depth max of the calculation [<0]'
write(3,'(F8.1)')depth
write(3,*) '! Define the number of nodes along lon, lat, z'
write(3,'(3(I5,1x))') grx,gry,grz
write(3,*) '! If the regional stress is not provided, CFF is computed on faults'
write(3,'(3(F8.1,1x))')st,dip,rake
write(3,*) '! IRREGULAR GRID'
write(3,*) '! File describing the location and the geometry of the secondary faults'
write(3,'(a60)') gridfile
write(3,*) '!'
write(3,*) '!'
write(3,*) '! GEOMETRY AND SLIP DISTRIBUTION OF THE MAIN FAULTS'
write(3,*) '!'
write(3,*) '! File description of all the faults?'
write(3,'(a60)') slipfile
write(3,*) '!'
write(3,*) '!'
write(3,*) '! CFF '
write(3,*) '!'
write(3,*) '! Which CFF formula [1/2]?'
write(3,*) '! [1] cff= stre_tg+fric*(1.-Skc)*stre_norm'
write(3,*) '! [2] cff= stre_tg+fric*(stre_norm+Skc*pore)'
write(3,'(i1)') sw2
write(3,*) '! Friction and Skempton coefficients [0<Sk<1]'
write(3,'(2(F8.1,1x))')fric,sk
write(3,*) '! If the regional stress is provided, strike,dip,and rake can be fixed or free'
write(3,*) '! Strike fixed(1),free(0) and value'
write(3,'(I1,1x,F8.1)')free1,str
write(3,*) '! Dip fixed(1),free(0) and value'
write(3,'(I1,1x,F8.1)')free2,di
write(3,*) '! Rake fixed(1),free(0) and value'
write(3,'(I1,1x,F8.1)')free3,rak
write(3,*) '!'
write(3,*) '!'
write(3,*) '! OUTPUT'
write(3,*) '!'
write(3,*) '! Writing the stress tensor [y/n]?'
write(3,'(a1)') yn2
write(3,*) 'END'
close(3)
return
end
